Subject: bug#5287: current-buffer returns wrong value in X11 under OSX

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 07 Jan 2012 05:32:51 +0100

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Drew McDermott <[email-masked]> writes:
>
>> If more than one emacs frame is open in X11 under OS X (version 10.5),
>> then (current-buffer) seems to return the most recently created
>> visible buffer, not the one that currently has X focus, which is what
>> the user expects.  This causes the menu-bar hooks to be unable to
>> recalculate menu names based on which buffer is current.
>>
>> I never noticed this problem in emacs 21, so I conjecture that
>> current-buffer worked correctly before version 22, but that's merely a
>> conjecture.
>
> Is this still a problem in a current Emacs version?

More information was requested, but no response was given within a few
months, so I'm closing this bug report.  If the problem still exists,
please reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/